## org.eclipse.emf.transaction
Interface Transaction.OptionMetadata.Registry

All Known Implementing Classes:
  BasicTransactionOptionMetadataRegistry

Enclosing interface:
  Transaction.OptionMetadata

    public static interface Transaction.OptionMetadata.Registry

A registry of metadata describing transaction options. The default implementation of the `TransactionalEditingDomain` interface provides a transaction option registry as an adapter. Access to the registry is thread-safe.

This interface is not intended to be implemented by clients.

Since:
  1.3

Field Summary
`static Transaction.OptionMetadata.Registry` `INSTANCE` The shared transaction option metadata registry.

Method Summary
`Transaction.OptionMetadata` `getOptionMetadata(Object option)` Obtains a metadata object describing the specified transaction option.

Field Detail

### INSTANCE

    static final Transaction.OptionMetadata.Registry INSTANCE

  The shared transaction option metadata registry.

Method Detail

### getOptionMetadata

    Transaction.OptionMetadata getOptionMetadata(Object option)

  Obtains a metadata object describing the specified transaction option. For unrecognized options, a default meta-data is provided that gives reasonable answers.

  Parameters:
    `option` - an option key
  Returns:
    the option meta-data (never `null`)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.